Skip to main content

secrets

Searches for secrets by company

secrets(
filters: SecretsFiltersInput!
pagination: BasePaginationInput! = [object Object]
sortBy: SecretSortByEnum = UPDATED_AT
direction: OrderEnum = DESC
): SecretInterfaceCollection!

Arguments

secrets.filters ● SecretsFiltersInput! non-null input

secrets.pagination ● BasePaginationInput! non-null input

secrets.sortBy ● SecretSortByEnum enum

Field used to sort secrets.

secrets.direction ● OrderEnum enum

Sort direction: ASC or DESC

Type

SecretInterfaceCollection object

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetSecrets($filters: SecretsFiltersInput!) {\n secrets(filters: $filters) { collection { id name companyId } metadata { currentPage limitValue totalCount } }\n}","variables":{"filters":{"companyId":"<company_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.